> ## Documentation Index
> Fetch the complete documentation index at: https://koreai.mintlify.app/llms.txt
> Use this file to discover all available pages before exploring further.

# Control Transcription API

<Badge icon="arrow-left" color="gray">[Back to API List](/ai-for-service/apis/agent-ai/api-list)</Badge>

Controls the transcription session of an AI Agent conversation. Use this API to start, pause, resume, or end an ongoing transcription session.

***

## API Details

| **Field**         | **Value**                                                                                                                                   |
| ----------------- | ------------------------------------------------------------------------------------------------------------------------------------------- |
| **Method**        | `POST`                                                                                                                                      |
| **Endpoint**      | `https://{{host}}/api/1.1/public/bot/{{botid}}/control/transcription?conversationId={{conversationId}}`                                     |
| **Content Type**  | `application/json`                                                                                                                          |
| **Authorization** | `auth: {{JWT}}`-See [How to generate the JWT Token](/ai-for-service/apis/automation/api-introduction#generating-the-jwt-token)              |
| **API Scope**     | `AgentAssist Transcription`-See [Associate API Scopes](/ai-for-service/administration/security-and-control/api-scopes#supported-api-scopes) |

## Path Parameters

| Parameter | Required | Description                                              |
| --------- | -------- | -------------------------------------------------------- |
| `host`    | Yes      | Environment URL, for example, `https://platform.kore.ai` |
| `botId`   | Yes      | Unique ID of the AI Agent                                |

## Query Parameters

| **Parameter**    | **Required** | **Description**                                |
| ---------------- | ------------ | ---------------------------------------------- |
| `conversationId` | Yes          | Unique identifier of the AI Agent conversation |

## Sample Requests

**Start transcription**

```bash theme={null}
curl --location 'https://{{host}}/api/1.1/public/bot/st-4b8bb9d0-096d-56e5-b72f-f43ecf1xxxxx/control/transcription?conversationId=CAe8a34d2556235bcf0cbc51e98bbxxxxx' \
--header 'auth: {{JWT_TOKEN}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxOiJIUzI1NiIsInR5cCI6IkpXVCJ9...' \
--data '{
    "action": "start",
    "agentId": "<AgentID>"
}'
```

**Pause transcription**

```bash theme={null}
curl --location 'https://{{host}}/api/1.1/public/bot/st-4b8bb9d0-096d-56e5-b72f-f43ecf1xxxxx/control/transcription?conversationId=CAe8a34d2556235bcf0cbc51e98bbxxxxx' \
--header 'auth: {{JWT_TOKEN}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxOiJIUzI1NiIsInR5cCI6IkpXVCJ9...' \
--data '{
    "action": "pause",
    "agentId": "<Agent ID>",
    "handover": true
}'
```

**Resume transcription**

```bash theme={null}
curl --location 'https://{{host}}/api/1.1/public/bot/st-4b8bb9d0-096d-56e5-b72f-f43ecf1xxxxx/control/transcription?conversationId=CAe8a34d2556235bcf0cbc51e98bbxxxxx' \
--header 'auth: {{JWT_TOKEN}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxOiJIUzI1NiIsInR5cCI6IkpXVCJ9...' \
--data '{
    "action": "resume",
    "agentId": "<Agent ID>"
}'
```

**End transcription**

```bash theme={null}
curl --location 'https://{{host}}/api/1.1/public/bot/st-4b8bb9d0-096d-56e5-b72f-f43ecf1xxxxx/control/transcription?conversationId=CAe8a34d2556235bcf0cbc51e98bbxxxxx' \
--header 'auth: {{JWT_TOKEN}}' \
--header 'Content-Type: application/json' \
--header 'Authorization: Bearer xxxxOiJIUzI1NiIsInR5cCI6IkpXVCJ9...' \
--data '{
    "action": "end",
    "agentId": "<Agent ID>"
}'
```

## Body Parameters

| Parameter  | Required           | Description                                                                                                              |
| ---------- | ------------------ | ------------------------------------------------------------------------------------------------------------------------ |
| `action`   | Yes                | The control action to perform. Available values: `start`, `pause`, `resume`, `end`.                                      |
| `agentId`  | Yes                | The ID of the agent.                                                                                                     |
| `handover` | Yes (with `pause`) | Indicates whether the conversation is being transferred to another agent. `true` = cold transfer; `false` = normal hold. |

## Sample Response

```json theme={null}
{
    "status": "success"
}
```
